package com.reptileclient.jlifeapp.dao.jz;

import com.reptileclient.jlifeapp.entity.jz.JzbmLead;
import org.apache.ibatis.annotations.Param;

public interface JzbmLeadMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(JzbmLead record);

    int insertSelective(JzbmLead record);

    JzbmLead selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(JzbmLead record);

    int updateByPrimaryKey(JzbmLead record);

    String selectMaxNo(String kitNo);

    int selectByCustomerTelAndServiceModel(@Param("customerTel") String customerTel, @Param("serviceModel") Integer serviceModel, @Param("serviceCity") Integer serviceCity);
}
